#declare Marble_base_large =
union {

sphere {<0,0,0>,.2
pigment{rgbft <.75,1,.75,.5,.25>}
normal { bump_map {gif "scratch.gif" map_type 1 interpolate 2 bump_size 0.5}}
finish{phong 1 reflection .25 caustics 1 ior 1.5 refraction 1}
}

#declare Count = 0
#declare Bubbles = 20
#declare B1 = seed(123)

#while (Count < Bubbles)
	sphere {<0,0,0>,(rand(B1) * .01) pigment{rgbt <.75,1,.75,.75>}
	translate <(rand(B1) * .15),(rand(B1) * .15),(rand(B1) * .15)>
	rotate <(rand(B1) * 360),(rand(B1) * 360),(rand(B1) * 360)>
	finish{phong 1 reflection .25 caustics 1 ior 1.5 refraction 1}
	}
	#declare Count = (Count + 1)
#end

}

#declare Ribbon =
union {
	difference {
		cylinder {<0,.075,-.03><0,.075,.03>,.08}
		cylinder {<0,.075,-.2><0,.075,.2>,.07}
		box {<0,1,1><1,-1,-1>}
	}
	difference {
		cylinder {<0,-.075,-.03><0,-.075,.03>,.08}
		cylinder {<0,-.075,-.2><0,-.075,.2>,.07}
		box {<0,1,1><-1,-1,-1>}
	}	
}

#declare Ribbon_group1 =
union {
	object {Ribbon scale<.5,1,1> translate <.1,0,0> pigment{rgbf <0,1,0,.5>}}	
	object {Ribbon scale<.5,1,1> translate <.1,0,0> rotate <0,60,0> pigment{rgbf <1,1,0,.5>}}	
	object {Ribbon scale<.5,1,1> translate <.1,0,0> rotate <0,120,0> pigment{rgbf <0,1,0,.5>}}
	object {Ribbon scale<.5,1,1> translate <.1,0,0> rotate <0,180,0> pigment{rgbf <1,1,0,.5>}}
	object {Ribbon scale<.5,1,1> translate <.1,0,0> rotate <0,240,0> pigment{rgbf <0,1,0,.5>}}
	object {Ribbon scale<.5,1,1> translate <.1,0,0> rotate <0,300,0> pigment{rgbf <1,1,0,.5>}}				
	
}

#declare Ribbon_group2 =
union {
	object {Ribbon scale<.5,1,1> translate <.1,0,0> pigment{rgbf <0,0,1,.5>}}	
	object {Ribbon scale<.5,1,1> translate <.1,0,0> rotate <0,60,0> pigment{rgbf <1,0,0,.5>}}	
	object {Ribbon scale<.5,1,1> translate <.1,0,0> rotate <0,120,0> pigment{rgbf <0,0,1,.5>}}
	object {Ribbon scale<.5,1,1> translate <.1,0,0> rotate <0,180,0> pigment{rgbf <1,0,0,.5>}}
	object {Ribbon scale<.5,1,1> translate <.1,0,0> rotate <0,240,0> pigment{rgbf <0,0,1,.5>}}
	object {Ribbon scale<.5,1,1> translate <.1,0,0> rotate <0,300,0> pigment{rgbf <1,0,0,.5>}}				
	
}

#declare Marble_large1 =
union {
	object {Marble_base_large}
	object {Ribbon_group1 scale .75}	
}

#declare Marble_large2 =
union {
	object {Marble_base_large}
	object {Ribbon_group2 scale .75}	
}

#declare Marble_base_small =
union {

sphere {<0,0,0>,.15
pigment{rgbft <.75,1,.75,.5,.25>}
normal { bump_map {gif "scratch.gif" map_type 1 interpolate 2 bump_size 0.5}}
finish{phong 1 reflection .25 caustics 1 ior 1.5 refraction 1}
}

#declare Count = 0
#declare Bubbles = 20
#declare B1 = seed(123)

#while (Count < Bubbles)
	sphere {<0,0,0>,(rand(B1) * .01) pigment{rgbt <.75,1,.75,.75>}
	translate <(rand(B1) * .1),(rand(B1) * .1),(rand(B1) * .1)>
	rotate <(rand(B1) * 360),(rand(B1) * 360),(rand(B1) * 360)>
	finish{phong 1 reflection .25 caustics 1 ior 1.5 refraction 1}
	}
	#declare Count = (Count + 1)
#end

}

#declare Feather =
difference {
	torus {.1,.005 sturm rotate <90,0,0>}
	box {<0,1,1><-1,-1,-1>}
}

#declare Feather_group1 =
union {
	object {Feather scale <.5,1,1> translate <.05,0,0> pigment{rgbf <0,1,0,.5>}}
	object {Feather scale <.5,1,1> translate <.05,0,0> rotate <0,60,0> pigment{rgbf <1,1,0,.5>}}
	object {Feather scale <.5,1,1> translate <.05,0,0> rotate <0,120,0> pigment{rgbf <0,1,0,.5>}}
	object {Feather scale <.5,1,1> translate <.05,0,0> rotate <0,180,0> pigment{rgbf <1,1,0,.5>}}
	object {Feather scale <.5,1,1> translate <.05,0,0> rotate <0,240,0> pigment{rgbf <0,1,0,.5>}}
	object {Feather scale <.5,1,1> translate <.05,0,0> rotate <0,300,0> pigment{rgbf <1,1,0,.5>}}
}

#declare Feather_group2 =
union {
	object {Feather scale <.5,1,1> translate <.05,0,0> pigment{rgbf <0,1,1,.5>}}
	object {Feather scale <.5,1,1> translate <.05,0,0> rotate <0,60,0> pigment{rgbf <1,0,0,.5>}}
	object {Feather scale <.5,1,1> translate <.05,0,0> rotate <0,120,0> pigment{rgbf <0,1,1,.5>}}
	object {Feather scale <.5,1,1> translate <.05,0,0> rotate <0,180,0> pigment{rgbf <1,0,0,.5>}}
	object {Feather scale <.5,1,1> translate <.05,0,0> rotate <0,240,0> pigment{rgbf <0,1,1,.5>}}
	object {Feather scale <.5,1,1> translate <.05,0,0> rotate <0,300,0> pigment{rgbf <1,0,0,.5>}}
}

#declare Marble_small1 =
union {
	object {Marble_base_small}
	object {Feather_group1}	
}

#declare Marble_small2 =
union {
	object {Marble_base_small}
	object {Feather_group2}	
}

object {Marble_small1}
